## icinga 1.0.2

=== include/Makefile ===
###############################
# Makefile for Include Files
###############################

clean:
	rm -f *~

distclean: clean
	rm -f config.h locations.h snprintf.h

devclean: distclean
