## icinga 1.7.1

=== docbook/de/Makefile ===

all:
	@echo ""
	@echo "Please type what you want"
	@echo "make de"
	@echo ""

de:
	xsltproc --xinclude ../xsl/html-chunked.xsl Icinga.xml
