=== docbook/en/Makefile ===

all:
	@echo ""
	@echo "Please type what you want"
	@echo "make en"
	@echo ""

en:
	xsltproc --xinclude ../xsl/html-chunked.xsl Icinga.xml
