## icinga 1.10.3

=== include/Makefile ===
--- 
+++ 
@@ -6,6 +6,6 @@
 	rm -f *~
 
 distclean: clean
-	rm -f config.h locations.h snprintf.h dh.h
+	rm -f config.h locations.h dh.h
 
 devclean: distclean
