## icinga 1.13.4

=== debian/changelog ===
icinga (1.13.4-2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:03:01 +0000

icinga (1.13.4-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix database upgrade to 1.13.0.
    (closes: #861077)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 May 2017 08:57:03 +0200

icinga (1.13.4-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes CVE-2016-9566.
  * Update watch file to match tagged releases too (not only downloads).
  * Refresh patches.
  * Add lintian override for ored-depends-on-obsolete-package.
  * Add libjs-jquery to icinga-doc dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Dec 2016 10:05:44 +0100

icinga (1.13.3-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Change mysql-client dependency to default-mysql-client.
    (closes: #848438)
  * Restructure control file with cme.
  * Add Homepage field to control file.
  * Switch from dpatch to source format 3.0 (quilt).
  * Drop dpkg-dev build dependency, required version available in oldstable.
  * Fix duplicate word in copyright file.
  * Add patch to fix spelling errors.
  * Add upstream metadata.
  * Add override for spelling-error-in-readme-debian false positive.
  * Update copyright file using copyright-format 1.0.
  * Fix duplicate short description and spelling errors in long description.
  * Drop unused override for package-contains-empty-directory.
  * Add comments to lintian overrides.
  * Create /var/run/icinga in idoutils init script too.
  * Drop unused override for dir-or-file-in-var-run.
  * Bump debhelper compatibility to 9.
  * Enable all hardening buildflags.
  * Add lintian overrides for package-contains-empty-directory.
  * Don't install .in templates in examples.
  * Don't install p1.pl with execute bit set.
  * Use dh sequencer in rules file.
  * Use rm -f for all rm commands.
  * Don't set {C,CPP,LD}FLAGS explicitly, already set by debhelper.
  * Add build dependencies for test target.
  * Override dh_auto_test to create required directories.
  * Update watch file to handle common issues.
  * Update Brazilian Portuguese debconf templates translation.
    Thanks to Adriano Rafael Gomes.
    (closes: #799421)
  * Drop unused substitution variables.
  * Don't hardcode invoke-rc.d path in icinga-cgi.postinst.
  * Use dh-autoreconf for retooling.
  * Add lintian override for non-standard-apache2-configuration-name.
  * Add lintian override for apache2-reverse-dependency-calls-invoke-rc.d.
  * Bump Standards-Version to 3.9.8, no changes.

  [ Markus Frosch ]
  * [e9d9531] apache2: Add read access to JavaScript libs
  * [671b433] Add patch 53_jquery and fix JQuery loading
  * [8e62b57] Replace embedded JQuery in icinga-doc
  * [a17d86c] Update copyright for Debian packaging
  * [368c095] Improve mysql dependency for backwards compatibility

 -- Markus Frosch <lazyfrosch@debian.org>  Tue, 20 Dec 2016 09:47:04 +0100

icinga (1.13.3-3) unstable; urgency=medium

  [ Markus Frosch ]
  * [0e0a082] Update VCS URLs
  * [5da079a] Remove libpng12-dev build-dep, use only libpng-dev
    (Closes: #810173)

  [ Nishanth Aravamudan ]
  * [40e540b] Add build-arch and build-indep targets to d/rules
    (Closes: #821992)
  * [6182dcb] Classic UI: fixed menu disappear with jQuery 1.11+
    (Closes: #831332)

  [ Markus Frosch ]
  * [40490d6] Add patch to fix CVE-2015-8010 (Closes: #803432)

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 21 Aug 2016 14:12:35 +0200

icinga (1.13.3-2) unstable; urgency=medium

  * [9f7081e] Add myself as uploader
  * [4877e88] Add missing sources for jquery-ui (Closes: #788723)
  * [8522150] Override mis-detected missing source

 -- Markus Frosch <lazyfrosch@debian.org>  Wed, 30 Dec 2015 12:50:51 +0100

icinga (1.13.3-1) unstable; urgency=medium

  * [8197b77] Imported Upstream version 1.13.3

 -- Alexander Wirt <formorer@debian.org>  Wed, 15 Jul 2015 15:27:22 +0200

icinga (1.13.2-1) unstable; urgency=medium

  * [d7ee3a5] Imported Upstream version 1.13.2
  * [af0ed78] Install new database schema
  * [7349514] Add turkish debconf translation. (Closes: #760330)
  * [500332d] Update 52_icinga.cfg-debianize

 -- Alexander Wirt <formorer@debian.org>  Sat, 13 Jun 2015 08:15:35 +0200

icinga (1.12.2-2) experimental; urgency=medium

  * [17f0a2c] Fix plugin package name

 -- Alexander Wirt <formorer@debian.org>  Sat, 14 Mar 2015 07:42:11 +0100

icinga (1.12.2-1) experimental; urgency=medium

  * [ffdb896] Imported Upstream version 1.12.2
  * [b357b73] Prefer monitoring-plugins over nagios-plugins
  * [0d3040d] Imported Upstream version 1.12.0
  * [09bf1ee] Install 1.12.0 sql db upgrades

 -- Alexander Wirt <formorer@debian.org>  Thu, 12 Mar 2015 14:02:59 +0100

icinga (1.11.6-1) unstable; urgency=medium

  * [67f8e61] Imported Upstream version 1.11.6
  * [cea2d5d] Install schema upgrades
  * [677ebfd] Check for existance of resources.cfg before setting permissions.
    (Closes: #757103)

 -- Alexander Wirt <formorer@debian.org>  Thu, 07 Aug 2014 13:49:19 +0200

icinga (1.11.5-1) unstable; urgency=medium

  * [2098d80] Imported Upstream version 1.11.5
  * [cef043d] bump standards version

 -- Alexander Wirt <formorer@debian.org>  Fri, 20 Jun 2014 15:25:10 +0200

icinga (1.11.4-1) unstable; urgency=medium

  * [4b8b43e] Update copyright file (Closes: #748015)
  * [f87dd9b] Imported Upstream version 1.11.4
  * [28a3f90] Remove obsolete patch 96_fix_postgres_11.3_upgrade.dpatch

 -- Alexander Wirt <formorer@debian.org>  Thu, 29 May 2014 17:38:05 +0200

icinga (1.11.3-3) unstable; urgency=medium

  * [9d1836b] Check if apache init script exists before invoking it.
    Thanks to Georg Schönberg for bringing this up
  * [e315571] Fix postgresql upgrade script for 1.11.3 (Closes: #749581)

 -- Alexander Wirt <formorer@debian.org>  Wed, 28 May 2014 14:48:44 +0200

icinga (1.11.3-2) unstable; urgency=medium


