=== debian/control ===
Source: icinga
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Alexander Wirt <formorer@debian.org>,
           Jan Wagner <waja@cyconet.org>,
           Markus Frosch <lazyfrosch@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libdbi-dev | libdbi0-dev,
               libgd-dev | libgd2-noxpm-dev | libgd2-xpm-dev,
               libhtml-lint-perl,
               libipc-run3-perl,
               libperl-dev,
               libpng-dev,
               libtest-most-perl,
               libtest-www-mechanize-cgiapp-perl,
               po-debconf
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/icinga.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/icinga.git
Homepage: https://www.icinga.com/

Package: icinga-common
Architecture: all
Depends: adduser,
         bsd-mailx | mailx,
         dpkg (>= 1.16.1),
         lsb-base,
         monitoring-plugins-basic | nagios-plugins-basic,
         ucf,
         ${misc:Depends}
Recommends: monitoring-plugins | nagios-plugins
Description: host and network monitoring system - support files
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package contains the common files for all Icinga packages.

Package: icinga-cgi
Architecture: any
Depends: adduser,
         apache2-utils,
         icinga-cgi-bin (= ${binary:Version}),
         icinga-common (= ${source:Version}),
         ucf,
         ${misc:Depends}
Recommends: apache2 | httpd,
            nagios-images
Description: host and network monitoring system - CGI configuration
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides CGI configuration files and the required dependencies.

Package: icinga-cgi-bin
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui (>= 1.10.1+dfsg-1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd,
            nagios-images
Breaks: icinga-cgi (<< 1.11.0-2~)
Replaces: icinga-cgi (<< 1.11.0-2~)
Description: host and network monitoring system - CGI scripts
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides CGI binaries and HTML files.

Package: icinga-idoutils
Architecture: any
Depends: dbconfig-common,
         icinga-common (= ${source:Version}),
         libdbd-mysql | libdbd-pgsql,
         lsb-base,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-mysql-client | mysql-client | postgresql-client
Suggests: default-mysql-server | mysql-server | postgresql-server
Description: host and network monitoring system - icinga-dataobjects support
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package contains icinga-dataobjects support which makes it possible
 to import Icinga status information messages into an SQL database.

Package: icinga
Architecture: any
Depends: icinga-cgi (= ${binary:Version}),
         icinga-core (= ${binary:Version}),
         ${misc:Depends}
Recommends: icinga-doc
Suggests: nagios-nrpe-plugin
Description: host and network monitoring system - metapackage
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port;
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This is a metapackage which depends on the Icinga core and the web
 front-end.

Package: icinga-core
Architecture: any
Depends: icinga-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: nagios-nrpe-plugin
Replaces: icinga
Description: host and network monitoring system - core files
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks;
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides the core of Icinga without the web front-end.

Package: icinga-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: host and network monitoring system - documentation
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks;
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides the documentation for Icinga.

Package: icinga-dbg
Architecture: any
Section: debug
Priority: extra
Depends: icinga-core (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: host and network monitoring system - debug files
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks;
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides gdb debugging symbols for the Icinga binaries and
 the mini_epn tool which can help in debugging Icinga problems.
