## icinga 1.14.2+ds

=== debian/changelog ===
icinga (1.14.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Bug-* fields in upstream metadata.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add lintian override for source-is-missing.
  * Add lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 21:01:43 +0200

icinga (1.14.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Only install icinga & apache2 in autopkgtest.
  * Remove unused patch: 90_disable_standard_conforming_strings.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Mar 2018 07:42:45 +0100

icinga (1.14.2+ds-1) unstable; urgency=medium

  * Team upload.
  * Fix deprecated source override location.
  * Update Vcs-* URLs for Salsa.
  * Update Apache configuration for 2.4 syntax.
    (closes: #892628)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Mar 2018 18:47:07 +0100

icinga (1.14.2+ds-1~exp2) experimental; urgency=medium

  * Team upload.
  * Remove icinga-dbg cruft to fix building twice in a row.
    (closes: #886851)
  * Bump Standards-Version to 4.1.3, no changes.
  * Add gbp.conf to use pristine-tar by default.
  * Update branch in Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jan 2018 15:14:21 +0100

icinga (1.14.2+ds-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Include README.md in icinga-common docs.
    (closes: #859806)
  * Drop patches applied upstream. Refresh remaining patches.
  * Call `make install` instead of `make install-unstripped`.
  * Drop obsolete dbg package.
  * Strip trailing whitespace from changelog file.
  * Add autopkgtest to test installability.
  * Update jquery file patterns in copyright file.
  * Update spelling-errors.patch to fix 'triggered' typo.
  * Exclude minified jquery-ui & jshint files from repacked upstream tarball.
  * Add patch to not install minified JS, excluded from upstream source.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jan 2018 20:23:38 +0100
